Commit ddb37cfc authored by Kaarle Ritvanen's avatar Kaarle Ritvanen

apkbuild-gem-resolver: support for v2.6

parent 3bb9db2d
......@@ -10,6 +10,11 @@ require 'rubygems/spec_fetcher'
class Aport
RUBY_SUBPACKAGES = {
'2.0.0_p353' => {
'ruby-minitest' => ['minitest', '4.3.2'],
'ruby-rake' => ['rake', '0.9.6'],
'ruby-rdoc' => ['rdoc', '4.0.0', 'ruby-json']
},
'2.0.0_p481' => {
'ruby-minitest' => ['minitest', '4.3.2'],
'ruby-rake' => ['rake', '0.9.6'],
......@@ -118,7 +123,8 @@ class FileAport < Aport
super name, get.call('_gemname'), get.call('pkgver')
for dep in `echo #{get.call('depends')}`.split
add_dependency dep if dep.start_with? 'ruby-'
# ruby-gems: workaround for v2.6
add_dependency dep if dep.start_with?('ruby-') && dep != 'ruby-gems'
end
end
end
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment